Subject: Re: bug#75398: 30.0.93; files.el documentation refers to "ITS-id" version control

From: Richard Stallman <[email-masked]>
Date: Thu, 09 Jan 2025 22:22:45 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > On ITS, the only place to store a version number was (1) in the second
  > > filename or (2) in the file contents.  When that text was written, was
  > > there code in Emacs to store a version number in one of those places?

  > Doesn't look like it, I only see the ".~N~" numerical extensions.

That practice for naming backup files looked partly similar to the ITS
convention of using a version number as the second filename.  But the
semantics was different.

I don't think the reference to ITS is very illuminating in the context
of GNU Emacs.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)